exports.dataUrlFun = function() {
	// FIXME: using my forked lessjs until the pull request is accepted (https://github.com/cloudhead/less.js/pull/997)
	var less = require("../less-fork/lib/less/index.js");
	var fs = require("fs");
	var path = require("path");
	var util = require("util");
	var value = arguments[0];
	var parserEnv = arguments[arguments.length-1];
	var paths = parserEnv.paths;
	var mimes    = {
		".png"  : "image/png",
		".jpg"  : "image/jpeg",
		".gif"  : "image/gif",
		".svg"  : "image/svg+xml",
		".ttf"  : "application/x-font-ttf",
		".otf"  : "application/x-font-opentype",
		".woff" : "application/x-font-woff",
		".eot"  : "application/vnd.ms-fontobject"
	};
	var imagePath, imageData, imageMime
	
	if (util.isArray(paths)) {
		for (var i = 0; i < paths.length; i++) {
			imagePath = path.normalize(paths[i] + "/" + value.value);
			if (fs.existsSync(imagePath)) {
				break;
			}
		}
	}
	else {
		imagePath = path.normalize(paths + "/" + value.value);
	}
	
	if (fs.existsSync(imagePath)) {
		imageData = fs.readFileSync(imagePath, "base64");
		imageMime = mimes[path.extname(imagePath)];
		
		value._originalValue = value.value;
		value.value = "data:" + imageMime + ";base64," + imageData;
	}
	
	return new(less.tree.URL)(value, []);
};
