var fs    = require("fs");
var utils = require("./utils.js");

var watch = exports.watch = function(inputDir, callback) {
	var time = new Date().getTime();
	
	fs.watch(inputDir, function(evt, fileName) {
		var _time = new Date().getTime();
		if (_time - time > 1000) {
			callback && callback(inputDir, fileName);
		}
		time = _time;
	});
};

exports.watchDir = function(dir, callback, excludePattern) {
	fs.exists(dir, function(exists) {
		if (!exists) {
			return;
		}
		
		watch(dir, callback);
		
		var dirs = utils.getDirs(dir, excludePattern);
		dirs.forEach(function(dir) {
			watch(dir, callback);
		});
	});
};
